#include<bits/stdc++.h>
#include "guess.h"
using namespace std;
int find_number(int x)
{
    int l=1,r=x,rez=-1;
    while (l<=r)
    {
        int mid=(l+r)/2;
        if (smaller(mid)) r=mid-1;
        else {rez=mid;l=mid+1;}
    }
    return rez;
};